<template>
  <div class="flex flex-row h-full justify-around p-2 text-white">
    <div class="h-11/12 h-full bg-gray-400 rounded w-1"></div>
    <div class="flex flex-col p-4 w-full">
      <button
        class="rounded-lg px-2 py-1 bg-gray-400 mb-4 w-1/5"
        @click="logOut"
      >
        Log-out
      </button>
      <info-user
        v-for="user in users"
        :key="user.id"
        :email="user.email"
        :role="user.role"
        :photo="user.imgUrl"
      ></info-user>
    </div>
  </div>
</template>

<script>
import InfoUser from "./InfoUser.vue";
import { store } from "@/store";
import { $auth0 } from "@/auth0";
import { toRefs } from "@vue/reactivity";

export default {
  components: { InfoUser },
  setup() {
    store.actions.getAllUser();
    const users = toRefs(store.state).participants;
    const logOut = () => {
      $auth0.client.logout({ redirect_uri: window.location.href });
    };
    return { users, logOut };
  },
};
</script>

<style></style>
